curl -X PUT "https://api.leavo.ai/backend/status/770e8400-e29b-41d4-a716-446655440002" \
-H "Authorization: Bearer sua_chave_aqui" \
-H "Content-Type: application/json" \
-d '{
"name": "Super Hot Lead",
"color": "#ff0000"
}'
const statusId = '770e8400-e29b-41d4-a716-446655440002';
const response = await fetch(`https://api.leavo.ai/backend/status/${statusId}`, {
method: 'PUT',
headers: {
'Authorization': 'Bearer sua_chave_aqui',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Super Hot Lead',
color: '#ff0000'
})
});
const status = await response.json();
{
"id": "770e8400-e29b-41d4-a716-446655440002",
"tenant_id": "660e8400-e29b-41d4-a716-446655440000",
"name": "Super Hot Lead",
"description": "Lead com alta probabilidade de conversão",
"color": "#ff0000",
"default": false,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
Status
Atualizar Status
Atualiza um status existente
PUT
/
backend
/
status
/
{id}
curl -X PUT "https://api.leavo.ai/backend/status/770e8400-e29b-41d4-a716-446655440002" \
-H "Authorization: Bearer sua_chave_aqui" \
-H "Content-Type: application/json" \
-d '{
"name": "Super Hot Lead",
"color": "#ff0000"
}'
const statusId = '770e8400-e29b-41d4-a716-446655440002';
const response = await fetch(`https://api.leavo.ai/backend/status/${statusId}`, {
method: 'PUT',
headers: {
'Authorization': 'Bearer sua_chave_aqui',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Super Hot Lead',
color: '#ff0000'
})
});
const status = await response.json();
{
"id": "770e8400-e29b-41d4-a716-446655440002",
"tenant_id": "660e8400-e29b-41d4-a716-446655440000",
"name": "Super Hot Lead",
"description": "Lead com alta probabilidade de conversão",
"color": "#ff0000",
"default": false,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
Path Parameters
string
obrigatório
UUID do status
Request Body
string
Nome do status
string
Descrição do status
string
Cor em formato hexadecimal
boolean
Se deve ser o status padrão
curl -X PUT "https://api.leavo.ai/backend/status/770e8400-e29b-41d4-a716-446655440002" \
-H "Authorization: Bearer sua_chave_aqui" \
-H "Content-Type: application/json" \
-d '{
"name": "Super Hot Lead",
"color": "#ff0000"
}'
const statusId = '770e8400-e29b-41d4-a716-446655440002';
const response = await fetch(`https://api.leavo.ai/backend/status/${statusId}`, {
method: 'PUT',
headers: {
'Authorization': 'Bearer sua_chave_aqui',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Super Hot Lead',
color: '#ff0000'
})
});
const status = await response.json();
{
"id": "770e8400-e29b-41d4-a716-446655440002",
"tenant_id": "660e8400-e29b-41d4-a716-446655440000",
"name": "Super Hot Lead",
"description": "Lead com alta probabilidade de conversão",
"color": "#ff0000",
"default": false,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
⌘I